Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model.xml
Class JaxbOrganizationalEntity

    java.lang.Object
      org.jbpm.services.task.impl.model.xml.JaxbOrganizationalEntity

All Implemented Interfaces:
  Externalizable, Serializable, OrganizationalEntity

    public class JaxbOrganizationalEntity

extends Object
implements OrganizationalEntity

See Also:
  Serialized Form

Nested Class Summary
`static class` | `JaxbOrganizationalEntity.Type`

Constructor Summary
`JaxbOrganizationalEntity()`
`JaxbOrganizationalEntity(OrganizationalEntity orgEntity)`

Method Summary
`static List<JaxbOrganizationalEntity>` | `convertListFromInterfaceToJaxbImpl(List<OrganizationalEntity> jaxbList)`
`static List<OrganizationalEntity>` | `convertListFromJaxbImplToInterface(List<JaxbOrganizationalEntity> jaxbList)`
`String` | `getId()`
`JaxbOrganizationalEntity.Type` | `getType()`
`void` | `readExternal(ObjectInput in)`
`void` | `setId(String id)`
`void` | `setType(JaxbOrganizationalEntity.Type type)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbOrganizationalEntity

    public JaxbOrganizationalEntity()

### JaxbOrganizationalEntity

    public JaxbOrganizationalEntity(OrganizationalEntity orgEntity)

Method Detail

### getId

    public String getId()

  Specified by:
    `getId` in interface `OrganizationalEntity`

### setId

    public void setId(String id)

### getType

    public JaxbOrganizationalEntity.Type getType()

### setType

    public void setType(JaxbOrganizationalEntity.Type type)

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### convertListFromInterfaceToJaxbImpl

    public static List<JaxbOrganizationalEntity> convertListFromInterfaceToJaxbImpl(List<OrganizationalEntity> jaxbList)

### convertListFromJaxbImplToInterface

    public static List<OrganizationalEntity> convertListFromJaxbImplToInterface(List<JaxbOrganizationalEntity> jaxbList)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.